<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_d717884c" . "e9fe95b21" . "2f09fa387" . "68bc1f" => base64_decode("Y2FsZW5kYXIuZXJyX2VuZF9iZWZvcmVfc3RhcnQ" . "="), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_7771b5dcfeeecba30b34d84" . "c09a21ec4" => base64_decode("Y2FsZW5kYXI" . "uZXJyX2ludm" . "FsaWRfZGF0Z" . "Q=="));






class CalendarEventDatePeriod extends DatePeriodDialog
{
    public function __construct($_7392cbdbf5bdf4880fc8e5fbb070663d = false)
    {
        parent::__construct($_7392cbdbf5bdf4880fc8e5fbb070663d);
    }
    
    
    
    
    
    
    public function ValidateStartEnd()
    {
        if (!$this->start || !$this->end) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_7771b5dcfeeecba30" . "b34d84c09a21ec4"]));
        }
        
        
        if (Date::compare($this->start, $this->end, 1) <= 0) {
            return true;
        } else {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d717884ce9fe95b212f09fa38" . "768bc1f"]));
        }
    }
}